[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TDrawColumnCellEvent

Specifies an event handler for drawing a cell in a grid control.

## Declaration

Source position: dbgrids.pas line 102

`type TDrawColumnCellEvent = procedure(`
`Sender: TObject;`
`const Rect: TRect;`
`DataCol: Integer;`
`Column: TColumn;`
`State: TGridDrawState`
`) of object;`

## Arguments

`Sender` |  | Grid control for the event.
`Rect` |  | Canvas rectangle where the cell is drawn.
`DataCol` |  | Position of the Field used to get data for the event.
`Column` |  | Column definition for the event`
`State` |  | Drawing state for the event.

## Description

TDrawColumnCellEvent specifies an event handler used to draw a cell in a column for a grid control. TDrawColumnCellEvent is the type used for the OnDrawColumnCell property in TDBGrid, and signalled from its DrawCell method.

## See also

#lcl.DBGrids.TCustomDBGrid.OnDrawColumnCell |  | Event handler signalled when a cell needs to be drawn.
#lcl.DBGrids.TCustomDBGrid.DrawCell |  | DrawCell renders the specified grid cell using the specified drawing state.